Package org.eclipse.rdf4j.sail

## Class InferencingTest

- java.lang.Object
- - org.eclipse.rdf4j.sail.InferencingTest

-     public abstract class InferencingTest
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `TEST_DIR_PREFIX` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InferencingTest()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected abstract Sail` | `createSail()` | Gets an instance of the Sail that should be tested.
    `void` | `runTest​(String subdir, String testName, boolean isPositiveTest)` |
    `static void` | `setUpClass()` |
    `void` | `testDomain001()` |
    `void` | `testDomainError001()` |
    `void` | `testRange001()` |
    `void` | `testRangeError001()` |
    `void` | `testSubClassOf001()` |
    `void` | `testSubClassOf002()` |
    `void` | `testSubClassOf003()` |
    `void` | `testSubClassOfError001()` |
    `void` | `testSubPropertyOf001()` |
    `void` | `testSubPropertyOf002()` |
    `void` | `testSubPropertyOf003()` |
    `void` | `testSubPropertyOf004()` |
    `void` | `testSubPropertyOfError001()` |
    `void` | `testType001()` |
    `void` | `testType002()` |
    `void` | `testType003()` |
    `void` | `testType004()` |
    `void` | `testType005()` |
    `void` | `testType006()` |
    `void` | `testTypeError001()` |
    `void` | `testTypeError002()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TEST_DIR_PREFIX

          public static final String TEST_DIR_PREFIX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### InferencingTest

          public InferencingTest()

  - ### Method Detail

    - #### setUpClass

          public static void setUpClass()
                                 throws Exception

      Throws:
        `Exception`

    - #### runTest

          public void runTest​(String subdir,
                              String testName,
                              boolean isPositiveTest)
                       throws Exception

      Throws:
        `Exception`

    - #### testSubClassOf001

          public void testSubClassOf001()
                                 throws Exception

      Throws:
        `Exception`

    - #### testSubClassOf002

          public void testSubClassOf002()
                                 throws Exception

      Throws:
        `Exception`

    - #### testSubClassOf003

          public void testSubClassOf003()
                                 throws Exception

      Throws:
        `Exception`

    - #### testSubClassOfError001

          public void testSubClassOfError001()
                                      throws Exception

      Throws:
        `Exception`

    - #### testSubPropertyOf001

          public void testSubPropertyOf001()
                                    throws Exception

      Throws:
        `Exception`

    - #### testSubPropertyOf002

          public void testSubPropertyOf002()
                                    throws Exception

      Throws:
        `Exception`

    - #### testSubPropertyOf003

          public void testSubPropertyOf003()
                                    throws Exception

      Throws:
        `Exception`

    - #### testSubPropertyOf004

          public void testSubPropertyOf004()
                                    throws Exception

      Throws:
        `Exception`

    - #### testSubPropertyOfError001

          public void testSubPropertyOfError001()
                                         throws Exception

      Throws:
        `Exception`

    - #### testDomain001

          public void testDomain001()
                             throws Exception

      Throws:
        `Exception`

    - #### testDomainError001

          public void testDomainError001()
                                  throws Exception

      Throws:
        `Exception`

    - #### testRange001

          public void testRange001()
                            throws Exception

      Throws:
        `Exception`

    - #### testRangeError001

          public void testRangeError001()
                                 throws Exception

      Throws:
        `Exception`

    - #### testType001

          public void testType001()
                           throws Exception

      Throws:
        `Exception`

    - #### testType002

          public void testType002()
                           throws Exception

      Throws:
        `Exception`

    - #### testType003

          public void testType003()
                           throws Exception

      Throws:
        `Exception`

    - #### testType004

          public void testType004()
                           throws Exception

      Throws:
        `Exception`

    - #### testType005

          public void testType005()
                           throws Exception

      Throws:
        `Exception`

    - #### testType006

          public void testType006()
                           throws Exception

      Throws:
        `Exception`

    - #### testTypeError001

          public void testTypeError001()
                                throws Exception

      Throws:
        `Exception`

    - #### testTypeError002

          public void testTypeError002()
                                throws Exception

      Throws:
        `Exception`

    - #### createSail

          protected abstract Sail createSail()

      Gets an instance of the Sail that should be tested.
      Returns:
        a SailRepo.